Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## vut.msa.monitor.system
Class SystemInformation

    java.lang.Object
      vut.msa.monitor.system.SystemInformation

All Implemented Interfaces:
  java.io.Serializable

    public class SystemInformation

extends java.lang.Object
implements java.io.Serializable

Trieda sluzi na ziskanie informacii o zariadeni. Tieto informacie sluzia na sledovanie stavu klienta. Vyuziva nastroj SIGAR. Narozdiel od ServerInformation, je potrebne aby tato trieda bola serializovatelna a prenesitelna tak cez siet, aby si server ulozil udaje do databazy. Vyuziva nastroj SIGAR, ten vsak serializovatelny nie je a preto su informacie ulozene do premennych triedy a tie su prenesene.

See Also:
  Serialized Form

Constructor Summary
`SystemInformation()`

Method Summary
`int` | `getDocumentsCount()`
`org.hyperic.sigar.DirUsage` | `getDocumentsDir()` Funkcia vrati objekt DirUsage, ktory poskytuje informacie o adresari.
`org.hyperic.sigar.DirUsage` | `getDocumentsDir(java.lang.String path)` Funkcia vrati objekt DirUsage, ktory poskytuje informacie o adresari.
`long` | `getDocumentsSize()`
`FileSystemInformation` | `getFileSystemInfo()` Funkcia vrati objekt FileSystemInformation, ktory sluzi na poskytovanie informacii o suborovom systeme.
`java.lang.String` | `getFormatedUptime(int uptime)` Metoda naformatuje cas behu systemu z milisekund na format "xx dní, xx hodín, xx min."
`long` | `getFreeDisk()`
`org.hyperic.sigar.Mem` | `getMemoryInfo()` Funkcia vrati objekt Mem, ktory poskytuje informacie o pamati.
`long` | `getMemoryRAM()`
`double` | `getMemoryUsedPerc()`
`long` | `getTotalDisk()`
`double` | `getUptime()` Funkcia vráti čas od spustenia systému (Uptime) v sekundách.
`long` | `getUsedDisk()`
`static void` | `main(java.lang.String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SystemInformation

    public SystemInformation()

Method Detail

### getFreeDisk

    public long getFreeDisk()

### getTotalDisk

    public long getTotalDisk()

### getUsedDisk

    public long getUsedDisk()

### getMemoryRAM

    public long getMemoryRAM()

### getDocumentsCount

    public int getDocumentsCount()

### getDocumentsSize

    public long getDocumentsSize()

### getMemoryUsedPerc

    public double getMemoryUsedPerc()

### getUptime

    public double getUptime()
                     throws org.hyperic.sigar.SigarException

  Funkcia vráti čas od spustenia systému (Uptime) v sekundách.

  Returns:
    čas v sekundách
  Throws:
    `org.hyperic.sigar.SigarException`

### getFormatedUptime

    public java.lang.String getFormatedUptime(int uptime)

  Metoda naformatuje cas behu systemu z milisekund na format "xx dní, xx hodín, xx min."

  Parameters:
    `uptime` -
  Returns:

### getMemoryInfo

    public org.hyperic.sigar.Mem getMemoryInfo()
                                        throws org.hyperic.sigar.SigarException

  Funkcia vrati objekt Mem, ktory poskytuje informacie o pamati.

  Returns:
    objekt Mem
  Throws:
    `org.hyperic.sigar.SigarException`
  See Also:
    `Mem`

### getDocumentsDir

    public org.hyperic.sigar.DirUsage getDocumentsDir(java.lang.String path)
                                               throws org.hyperic.sigar.SigarException

  Funkcia vrati objekt DirUsage, ktory poskytuje informacie o adresari.

  Parameters:
    `path` - cesta k adresaru s dokumentami
  Returns:
    objekt DirUsage
  Throws:
    `org.hyperic.sigar.SigarException`
  See Also:
    `org.hyperic.sigar.DirUsage;`

### getDocumentsDir

    public org.hyperic.sigar.DirUsage getDocumentsDir()
                                               throws org.hyperic.sigar.SigarException

  Funkcia vrati objekt DirUsage, ktory poskytuje informacie o adresari. Pouzije standardnu cestu k adresaru C:\Documents

  Returns:
    objekt DirUsage
  Throws:
    `org.hyperic.sigar.SigarException`
  See Also:
    `org.hyperic.sigar.DirUsage;`

### getFileSystemInfo

    public FileSystemInformation getFileSystemInfo()
                                            throws org.hyperic.sigar.SigarException

  Funkcia vrati objekt FileSystemInformation, ktory sluzi na poskytovanie informacii o suborovom systeme.

  Returns:
    objet FileSystemInformation
  Throws:
    `org.hyperic.sigar.SigarException`
  See Also:
    `FileSystemInformation`

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD